> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.crowdchange.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get logs

> Retrieve a paginated log of webhook delivery attempts for a CrowdChange webhook subscription, including event type, status, and response details.

## Path parameters

<ParamField path="id" type="integer" required>
  Webhook ID.
</ParamField>

## Query parameters

<ParamField query="page" type="integer">
  Page number. Default: `1`
</ParamField>

<ParamField query="limit" type="integer">
  Number of results to return. Default: `10`
</ParamField>

<ParamField query="event" type="string">
  Event name. Allowed values: `fundraiser_created`, `fundraiser_updated`, `transaction_created`, `fundraiser_team_created`, `fundraiser_team_updated`, `fundraiser_page_created`, `fundraiser_page_updated`, `tax_receipt_issued`
</ParamField>

## Response

Returns an array of objects with the following fields.

<ResponseField name="id" type="integer">
  Log entry ID.
</ResponseField>

<ResponseField name="webhook_id" type="integer">
  Webhook ID.
</ResponseField>

<ResponseField name="webhook_event_id" type="integer">
  Webhook Event ID.
</ResponseField>

<ResponseField name="created_at" type="string">
  Event sent date.
</ResponseField>

<ResponseField name="code" type="integer">
  HTTP-code of response from your server.
</ResponseField>

<ResponseField name="payload" type="object">
  Payload sent to your server.
</ResponseField>

**Other responses**

| Status | Description  |
| ------ | ------------ |
| `400`  | Bad Request  |
| `401`  | Unauthorized |
| `403`  | Forbidden    |

<ResponseExample>
  ```json theme={null}
  [
    {
      "id": 1,
      "webhook_id": 1,
      "webhook_event_id": 1,
      "created_at": "2024-01-01 16:00:03",
      "code": 200,
      "payload": {}
    }
  ]
  ```
</ResponseExample>
